.\" $Id: passgen.man,v 2.8 2012/02/29 00:14:00 ksb Exp $
.\" modified by William McVey
.\" $Compile: Display%h
.\" $Display: ${groff:-groff} -Tascii -man %f |${PAGER:-less}
.\" $Display(*): ${groff:-groff} -T%s -man %f
.\" $Install: %b -mDeinstall %o %f && cp %f $DESTDIR/usr/local/man/man1/passgen.1
.\" $Deinstall: ${rm-rm} -f $DESTDIR/usr/local/man/[cm]a[nt]1/passgen.1*
.TH passgen 1L LOCAL
.SH NAME
passgen \- generates pronounceable random passwords
.SH SYNOPSIS
.ds PN "passgen
\fI\*(PN\fP [\fB\-i\fP | \fB\-s\fP\~\fIstring\fP] [\fB\-r\fP\fBt\fP\fBw\fP] [\fB\-c\fP\~\fIpercent\fP] [\fB\-m\fP\~\fImin\fP] [\fB\-M\fP\~\fImax\fP] [\fB\-n\fP\~\fIcount\fP] [\fB\-p\fP\~\fIpercent\fP]

.SH DESCRIPTION
This program generates random pronounceable syllables that get placed together
to form random words.  These words are well suited for initial account
passwords since they are easy to remember, yet have elements of good
passwords.
.SH OPTIONS
.TP
.BI \-c percent
percentage of syllables to capitalize
.TP
.BI \-h
provide a help message
.TP
.BI \-i
prompt for an input string for random number generation
This option forbids the \fB\-s\fP option.
.TP
.BI \-m min
minimum size of generated password
.TP
.BI \-M max
maximum size of generated password
.TP
.BI \-n count
number of passwords to generate
.TP
.BI \-p percent
percentage of words to contain punctuation symbols
.TP
.BI \-r
make passwords out of random characters (rather than syllables)
.TP
.BI \-s string
give a string to encrypt for random number generation
This option forbids the \fB\-i\fP option.
.TP
.BI \-t
just give the generated password, not the syllable breakdown of the word
.TP
.BI \-V
show version information
.TP
.BI \-w
check generated passwords for being a good password
.SH EXAMPLES
.TP
passgen
default gives a word with an syllable break down
.TP
passgen \-r
generate a password of random characters
.TP
passgen \-m10 \-M15 \-n5 \-c50
generate 5 passwords of length between 10 and 15 characters with a 50%
chance of each generated syllable being capitalized.
.PP
.SH BUGS
Currently, there is a hardcoded limit on 1 punctuation mark in a word.
This should be tuneable option.
.PP
The decision to add a punctuation mark is determined on a per-syllable
basis.  Thus, if you specify that 100% of all words
should have punctuation then that forces the first letter to be punctuation.
.PP
When giving a new minimum length that execedes the default maximum length,
an error occurs unless you specify a new maximum length.
.PP
These bugs will be fixed soon.
.SH AUTHORS
Original code from:
.br
National Institute of Standards and Technology
.br
.PP
Modifications by:
.br
William McVey
.br
FedEx Data Protection

.SH "SEE ALSO"
.hlm 0
passwd(1), login(1)
